// water for ut4_tombs

textures/water/water_flow
{
	qer_editorimage textures/water/water_flow.tga
//	q3map_fancywater 5 0.85 0.8 0.8
	q3map_cheapwater 5 0.85 0.8 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/water/water_flow.tga
		blendfunc blend
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.05 0 0.05
	}

	{
		map $lightmap
		blendfunc filter
//		blendfunc gl_dst_color gl_src_color
		
	}

}

textures/terrain/ter_rock46_1024
{
   qer_editorimage textures/terrain/ter_rock46_1024.tga
   q3map_nonplanar
//	q3map_lightmapSampleOffset 4
   q3map_shadeAngle 160
//	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
 //  q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
   q3map_alphaMod dotproduct2 ( 0.0 0.0 0.85 )

   {
      map textures/terrain/ter_rock46_1024.tga	// Primary texture
      rgbGen identity
   }

   {
      map textures/terrain/ter_SandRock46_1024.tga  // Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//      alphaFunc GE128
      rgbGen identity
      alphaGen vertex
   }

   {
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/jeffj/HammeredTarnishedVessel
{
	cull none
	nopicmip 
	q3map_forcemeta

	{
		map textures/jeffj/HammeredTarnishedVessel.tga
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO
     		
   	}
}

textures/jeffj/StonewareMotif
{
	cull none
	nopicmip 
	q3map_forcemeta

	{
		map textures/jeffj/StonewareMotif.tga
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO
     		
   	}
}

textures/jeffj/marthagreenrustic
{
	cull none
	nopicmip
	q3map_forcemeta


	{
		map textures/jeffj/marthagreenrustic.tga
		
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO
     		
  	}
}

textures/jeffj/bluestuff
{
	cull none
	nopicmip
	q3map_forcemeta

	{
		map textures/jeffj/bluestuff.tga
		
		
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO
     		
   	}
}

textures/jeffj/aurora
{
	cull none
	nopicmip
	q3map_forcemeta

	{
		map textures/jeffj/aurora.tga
		
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}


textures/jeffj/ivorybrown
{
	cull none
	nopicmip
	q3map_forcemeta

	{
		map textures/jeffj/ivorybrown.tga
	
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}

textures/jeffj/JuparanaVyara
{
	cull none
	nopicmip 
	q3map_forcemeta

	{
		map textures/jeffj/JuparanaVyara.tga
		
	}

	{
          	map $lightmap
     		blendFunc GL_DST_COLOR GL_ZERO

  	}
}


textures/jeffj/purplebluelayer
{
	cull none
	nopicmip 
	q3map_forcemeta

	{
		map textures/jeffj/purplebluelayer.tga
	
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}

textures/jeffj/PowderBlueTreatment
{
	cull none
	nopicmip
	q3map_forcemeta

	{
		map textures/jeffj/PowderBlueTreatment.tga
		
	}

	{
          	map $lightmap
	     	blendFunc GL_DST_COLOR GL_ZERO

   	}
}

textures/jeffj/purplewall
{
	cull none
	nopicmip
	q3map_forcemeta

	{
		map textures/jeffj/purplewall.tga
	}

	{
          	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
     		
   	}
}


textures/jeffj/wickery

{
	cull none
	nopicmip
	q3map_forcemeta	 

	{
		map textures/jeffj/wickery.tga
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}

textures/jeffj/WickerTable

{
	cull none
	nopicmip 
	q3map_forcemeta

	{
		map textures/jeffj/WickerTable.tga
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}

textures/jeffj/BrownGauzeCloth

{
	cull none
	nopicmip
	q3map_forcemeta	

	{
		map textures/jeffj/BrownGauzeCloth.tga
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO
 
   	}
}

models/mapobjects/br_palms/br_branch_2
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .1 0 .3

	{ 
   		
            map models/mapobjects/br_palms/br_branch_2.tga 
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_palms/branch_2
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_palms/branch_2.tga 
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_palms/br_palms1
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_palms/br_palms1.tga 
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 


}

models/mapobjects/br_palms/palmskirt
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_palms/palmskirt.tga 
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_palms/palmleaves
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_palms/palmleaves.tga 
   		alphaFunc GE128  
//  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_palms/br_branch1
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_palms/br_branch1.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_palms/weed1
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_palms/weed1.tga 
   		alphaFunc GE128  
//   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed1
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed1.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed2
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed2.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed3
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed3.tga 
   		alphaFunc GE128  
//  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed4
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed4.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed5
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed5.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed6
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed6.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 

}

models/mapobjects/br_weedpak/br_weed7
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed7.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 



}

models/mapobjects/br_weedpak/br_weed8
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/br_weedpak/br_weed8.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	} 
//	{
//		map $lightmap 
//		depthFunc equal
//		rgbGen vertex
//		blendFunc GL_DST_COLOR GL_ZERO
//	}


}

textures/effects/sand
{
	surfaceparm alphashadow
	cull none  
	nopicmip 
	tcmod scroll 0.2 0

	{
		map textures/effects/sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/egypt/br_whip

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	polygonOffset

	{ 
   		
            map textures/egypt/br_whip.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity
 	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

textures/urt_grasses/grass_urt_grn

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt_grn.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}


}

textures/urt_grasses/grass_urt2

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt2.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex

 	}


}

textures/urt_grasses/grass_urt4

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt4.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}


}

textures/urt_grasses/grass_urt5

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt5.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}

}

textures/urt_grasses/grass_urt9

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt9.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}


}

textures/urt_grasses/grass_urt10

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt10.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}

}


models/mapobjects/worklights/lamp_glass_64
{
	qer_editorimage models/mapobjects/worklights/lamp_glass_64.tga
	q3map_lightimage models/mapobjects/worklights/lamp_glass_colour.tga
	surfaceparm nomarks
//	surfaceparm nolightmap
	q3map_surfacelight 200000
//	q3map_lightrgb 1 1 1
//	q3map_backsplash .2 10
//	q3map_lightsubdivide 32	


	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}

	
	{
		map models/mapobjects/worklights/lamp_glass_64.tga
		blendfunc gl_zero gl_src_alpha

	}

	{
		map models/mapobjects/worklights/lamp_glass_64.tga
		blendfunc add
		rgbGen identity
		
	}
	
}


models/mapobjects/foliage/flaming_sword
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 32
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .2

	{ 
   		
            map models/mapobjects/foliage/flaming_sword.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}

}

models/mapobjects/foliage/dutch_iris
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 32
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/foliage/dutch_iris.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
 	}

}


models/mapobjects/foliage/gooseneck_purp

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 32
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/foliage/gooseneck_purp.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex

 	}
//	{
//		map $lightmap 
//		depthFunc equal
//		rgbGen vertex
//		blendfunc gl_dst_color gl_src_color
//	}

}

models/mapobjects/foliage/gooseneck_red

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_noshadow 32
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/foliage/gooseneck_red.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex

 	}


}

textures/cloth/canopy_blue
{
	cull none
//	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3

	{
		map textures/cloth/canopy_blue.tga
		depthwrite
	
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}

textures/cloth/canopy_red
{
	cull none
//	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3

	{
		map textures/cloth/canopy_red.tga
		depthwrite
		
	
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}


models/mapobjects/boombox/Boombox
{ 
	
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2	

	{ 
   		
            map models/mapobjects/boombox/Boombox.tga 
   		rgbGen vertex
 	}


}

textures/walls/blue_wall_f
{
//	nopicmip
	q3map_forcemeta
	
	{

	map textures/walls/blue_wall_f.tga
	rgbGen identity
	
	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}


textures/walls/salmon_wall_f

{
//	nopicmip
	q3map_forcemeta
	
	{	

	map textures/walls/salmon_wall_f.tga
	rgbGen identity

	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}

models/mapobjects/egypt/DarkFiguredWood

{
//	nopicmip
	q3map_forcemeta
	
	{	

	map models/mapobjects/egypt/DarkFiguredWood.tga
	rgbGen identity

	}

	{
          	map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO

   	}
}